/* Sass */

* { box-sizing: border-box; }

html {
  font-family: sans-serif;
  font-size: 16px;
  margin: 0;
  padding: 0;
}

body {
  margin: 40px;
}

.monotype {
  font-family: monospace;
  background-color: khaki;
  padding: 4px 8px;
  border-radius: 4px;
}

.container {
  background-color: grey;
  display: block;
  width: 600px;
  margin-bottom: 20px;
  padding: 5px;

  background-color: #f7f7f7;
  border-radius: 3px;
  padding: 10px;
}

  .container + h2 { margin-top: 40px; }

  .container-wrp {
    font-size: 20px;
    border-radius: 4px;
    border: 3px dashed #4390E1;
    box-sizing: border-box;
  }

  .item {
    font-size: 20px;
    text-align: center;
    border-radius: 4px;
    background-color: rgba(162, 203, 250, 0.8);
    border: 1px solid #4390E1;
    box-sizing: border-box;
    box-shadow: 0 2px 2px rgba(0,90,250,0.05), 0 4px 4px rgba(0,90,250,0.05), 0 8px 8px rgba(0,90,250,0.05), 0 16px 16px rgba(0,90,250,0.05);
    width: 100%;
    /* height: 80px; */
    position: relative;
    z-index: 10;
  }



/* 1. Variables – Ejemplo 01 */

.container--variables-a {
  
} 
.container--variables-a div {
  
}
.container--variables-a .error {
  
}


/* 1. Variables – Ejemplo 02 */

.container--variables-b {

} 
.container--variables-b div {

}
.container--variables-b .error {

}


/* 2. Reglas anidadas (nesting) – Ejemplo 01 */

.container--nest-a nav {
  
}


/* 2. Reglas anidadas (nesting) – Ejemplo 02 */

.container--nest-b .btn {

}


/* 3. Mixins */

@mixin heading() {
}

@mixin body-regular() {
	
}

.container--mix-a .title {
  @include heading();
}

.container--mix-a .text {
  @include body-regular();
}

.container--mix-b .title {
  @include heading();
}

.container--mix-b .text {
  @include body-regular();
}
